# Uses of Interface
org.eclipse.birt.chart.model.data.DataElement

Packages that use DataElement
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of DataElement in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return DataElement
Modifier and Type
Method
Description
`DataElement`
AxisOrigin.`getValue()`
Returns the value of the 'Value' attribute.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type DataElement
Modifier and Type
Method
Description
`void`
AxisOrigin.`setValue(DataElement value)`
Sets the value of the '`Value`' containment reference.

## Uses of DataElement in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return DataElement
Modifier and Type
Method
Description
`DataElement`
AxisOriginImpl.`getValue()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type DataElement
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
AxisOriginImpl.`basicSetValue(DataElement newValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static final AxisOrigin`
AxisOriginImpl.`create(IntersectionType it, DataElement de)`
`static final AxisOrigin`
AxisOriginImpl.`createDefault(IntersectionType it, DataElement de)`
`void`
AxisOriginImpl.`setValue(DataElement newValue)`

## Uses of DataElement in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return DataElement
Modifier and Type
Method
Description
`DataElement`
MarkerRange.`getEndValue()`
Returns the value of the 'End Value' containment reference.
`DataElement`
Scale.`getMax()`
Returns the value of the 'Max' containment reference.
`DataElement`
Scale.`getMin()`
Returns the value of the 'Min' containment reference.
`DataElement`
MarkerRange.`getStartValue()`
Returns the value of the 'Start Value' containment reference.
`DataElement`
MarkerLine.`getValue()`
Returns the value of the 'Value' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type DataElement
Modifier and Type
Method
Description
`void`
MarkerRange.`setEndValue(DataElement value)`
Sets the value of the '`End Value`' containment reference.
`void`
Scale.`setMax(DataElement value)`
Sets the value of the '`Max`' containment reference.
`void`
Scale.`setMin(DataElement value)`
Sets the value of the '`Min`' containment reference.
`void`
MarkerRange.`setStartValue(DataElement value)`
Sets the value of the '`Start Value`' containment reference.
`void`
MarkerLine.`setValue(DataElement value)`
Sets the value of the '`Value`' containment reference.

## Uses of DataElement in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return DataElement
Modifier and Type
Method
Description
`DataElement`
MarkerRangeImpl.`getEndValue()`
`DataElement`
ScaleImpl.`getMax()`
`DataElement`
ScaleImpl.`getMin()`
`DataElement`
MarkerRangeImpl.`getStartValue()`
`DataElement`
MarkerLineImpl.`getValue()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type DataElement
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
MarkerRangeImpl.`basicSetEndValue(DataElement newEndValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
ScaleImpl.`basicSetMax(DataElement newMax, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
ScaleImpl.`basicSetMin(DataElement newMin, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
MarkerRangeImpl.`basicSetStartValue(DataElement newStartValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
MarkerLineImpl.`basicSetValue(DataElement newValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static final MarkerLine`
MarkerLineImpl.`create(Axis ax, DataElement de)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerLine`
MarkerLineImpl.`create(Axis ax, DataElement de, ColorDefinition lineColor)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`create(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor)`
A convenience method provided to add a marker range instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`create(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor, ColorDefinition outlineColor)`
A convenience method provided to add a marker range instance to an axis
`static final MarkerLine`
MarkerLineImpl.`createDefault(Axis ax, DataElement de, ColorDefinition lineColor)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`createDefault(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor, ColorDefinition outlineColor)`
A convenience method provided to add a marker range instance to an axis
`void`
MarkerRangeImpl.`setEndValue(DataElement newEndValue)`
`void`
ScaleImpl.`setMax(DataElement newMax)`
`void`
ScaleImpl.`setMin(DataElement newMin)`
`void`
MarkerRangeImpl.`setStartValue(DataElement newStartValue)`
`void`
MarkerLineImpl.`setValue(DataElement newValue)`

## Uses of DataElement in org.eclipse.birt.chart.model.data

Subinterfaces of DataElement in org.eclipse.birt.chart.model.data
Modifier and Type
Interface
Description
`interface`
`BigNumberDataElement`
A representation of the model object 'Big Number Data Element'.
`interface`
`DateTimeDataElement`
A representation of the model object 'Date Time Data Element'.
`interface`
`NumberDataElement`
A representation of the model object 'Number Data Element'.
`interface`
`TextDataElement`
A representation of the model object 'Text Data Element'.
Methods in org.eclipse.birt.chart.model.data that return DataElement
Modifier and Type
Method
Description
`DataElement`
DataElement.`copyInstance()`
`DataElement`
DataFactory.`createDataElement()`
Returns a new object of class 'Element'.
`DataElement`
SeriesGrouping.`getGroupingOrigin()`
Returns the value of the 'Grouping Origin' containment reference.
Methods in org.eclipse.birt.chart.model.data with parameters of type DataElement
Modifier and Type
Method
Description
`void`
SeriesGrouping.`setGroupingOrigin(DataElement value)`
Sets the value of the '`Grouping Origin`' containment reference.

## Uses of DataElement in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement DataElement
Modifier and Type
Class
Description
`class`
`BigNumberDataElementImpl`
An implementation of the model object 'Big Number Data Element'.
`class`
`DataElementImpl`
An implementation of the model object 'Element'.
`class`
`DateTimeDataElementImpl`
An implementation of the model object ' Date Time Data Element'.
`class`
`NumberDataElementImpl`
An implementation of the model object ' Number Data Element'.
Methods in org.eclipse.birt.chart.model.data.impl that return DataElement
Modifier and Type
Method
Description
`DataElement`
DataElementImpl.`copyInstance()`
`DataElement`
DataFactoryImpl.`createDataElement()`
`DataElement`
SeriesGroupingImpl.`getGroupingOrigin()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type DataElement
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
SeriesGroupingImpl.`basicSetGroupingOrigin(DataElement newGroupingOrigin, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
SeriesGroupingImpl.`setGroupingOrigin(DataElement newGroupingOrigin)`